#ifndef __NRF52_SPI_H__
#define __NRF52_SPI_H__

int spi_open(const struct driver *drv);
int spi_close(const struct driver *drv);

int spi_write(const struct driver *drv, const char *buffer, unsigned int len);

struct spi {
    unsigned int sck_pin;
    unsigned int mosi_pin;
    unsigned int miso_pin;
};

static const struct driver_fp spi_fp = {
    .open = spi_open,
    .close = spi_close,
    .read = NULL,
    .write = spi_write,
    .ioctl = NULL
};

#endif
